List invoices

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Query parameters

pagedoubleRequiredDefaults to 1
Page Number
limitdoubleRequiredDefaults to 50
Number of items to return
filterstringOptional
Format: field:rule:value — comma-separated for multiple filters. Fields: customerId (uuid): eq, neq, in, nin, isnull, isnotnull total (number): eq, neq, gt, gte, lt, lte, in, nin contractId (uuid): eq, neq, in, nin, isnull, isnotnull obligationId (uuid): eq, neq, in, nin, isnull, isnotnull source (string): eq, neq, like, nlike, in, nin, isnull, isnotnull status (string): eq, neq, in, nin issueDate (datetime): eq, neq, gt, gte, lt, lte dueDate (datetime): eq, neq, gt, gte, lt, lte lastUpdatedAt (datetime): eq, neq, gt, gte, lt, lte Date-only values (YYYY-MM-DD) match the full UTC day. Example: filter=customerId:eq:00000000-0000-0000-0000-000000000001

Response

Get all Invoices by filter
payloadobject
Response payload, will be empty when success is false
successboolean

Boolean with true=success, false=failure

messagestring

Plain-text description of the result

errorobject
json element with any error messages or warnings